Subject: [Isis-wg] Query on M-ISIS: Multi Topology (MT) Routing in Intermediate System to Intermediate Systems (IS-ISs) RFC 5120

From: Kuntal <[email-masked]>
Date: Thu, 4 Mar 2010 15:29:16 +0530

Hi All,

I could not find any explicit method of handling the case where two systems
formed adjacencies while participating over a set of common topology ids and
one of them suddenly stops supporting one or more topology id from the
common set.

For example:

IS-A and IS-B participates in topology ids 0, 1, 2 and neighborship between
these two systems comes up well. Now suddenly IS-B stops participating in
topology-id 1. Then IS-A will receive hellos from IS-B for topology-ids 0
and 2. At this point of time what would be IS-A's decision i.e. to exclude
the MT IS TLV for topology-id 1 or not etc. are not clarified in RFC 5120.

Or the behavior in such case would be implied as starting a fresh adjacency.
In that case especially for point-to-point network does IS-A expect a CSNP
from IS-B?

Thank you,

Warm Regards, Kuntal

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 4 Mar 2010 06:53:40 -0800

Kuntal -

>From Section 3 of RFC 5120:

" A router MUST include within its LSPs in the Reachable Intermediate
   Systems TLV-only adjacent nodes that are participating in the
   corresponding topology and advertise such TLVs only if it
   participates itself in the corresponding topology."

So if a given node A drops support for a given MTID the following things
will happen:

1)A stops advertising support for the MTID in its IIHs
2)A generates/floods new LSP(s) which no longer have MT-IS-Neighbor(TLV
222) advertisements for the given MTID
3)The neighbors of A generate/flood a new LSP which no longer has
MT-IS-Neighbor advertisements to A for the given MTID

As a result, all ISs who participate in the affected topology will run a
new SPF for that topology.

No adjacency flapping should occur.

   Les

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Kuntal
> Sent: Thursday, March 04, 2010 1:59 AM
> To: [email-masked]
> Subject: [Isis-wg] Query on M-ISIS: Multi Topology (MT) Routing
> inIntermediate System to Intermediate Systems (IS-ISs) RFC 5120
> 
> Hi All,
> 
> I could not find any explicit method of handling the case where two
> systems formed adjacencies while participating over a set of common
> topology ids and one of them suddenly stops supporting one or more
> topology id from the common set.
> 
> For example:
> 
> IS-A and IS-B participates in topology ids 0, 1, 2 and neighborship
> between these two systems comes up well. Now suddenly IS-B stops
> participating in topology-id 1. Then IS-A will receive hellos from
IS-B
> for topology-ids 0 and 2. At this point of time what would be IS-A's
> decision i.e. to exclude the MT IS TLV for topology-id 1 or not etc.
> are not clarified in RFC 5120.
> 
> Or the behavior in such case would be implied as starting a fresh
> adjacency. In that case especially for point-to-point network does
IS-A
> expect a CSNP from IS-B?